Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network156.83.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
156.83.0.0
Broadcast address
156.83.255.255
First usable
156.83.0.1
Last usable
156.83.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
B (default /16)
As numbers
Hex 9C530000 · Integer 2622685184 to 2622750719
Reverse DNS zone
83.156.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011100.01010011..00000000.00000000156.83.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network10011100.01010011..00000000.00000000156.83.0.0
Broadcast10011100.01010011..11111111.11111111156.83.255.255
Split into smaller subnets/27

156.83.0.0/16 makes 2,048 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1156.83.0.0/27156.83.0.1 to 156.83.0.30156.83.0.3130
2156.83.0.32/27156.83.0.33 to 156.83.0.62156.83.0.6330
3156.83.0.64/27156.83.0.65 to 156.83.0.94156.83.0.9530
4156.83.0.96/27156.83.0.97 to 156.83.0.126156.83.0.12730
5156.83.0.128/27156.83.0.129 to 156.83.0.158156.83.0.15930
6156.83.0.160/27156.83.0.161 to 156.83.0.190156.83.0.19130
7156.83.0.192/27156.83.0.193 to 156.83.0.222156.83.0.22330
8156.83.0.224/27156.83.0.225 to 156.83.0.254156.83.0.25530
9156.83.1.0/27156.83.1.1 to 156.83.1.30156.83.1.3130
10156.83.1.32/27156.83.1.33 to 156.83.1.62156.83.1.6330
11156.83.1.64/27156.83.1.65 to 156.83.1.94156.83.1.9530
12156.83.1.96/27156.83.1.97 to 156.83.1.126156.83.1.12730
13156.83.1.128/27156.83.1.129 to 156.83.1.158156.83.1.15930
14156.83.1.160/27156.83.1.161 to 156.83.1.190156.83.1.19130
15156.83.1.192/27156.83.1.193 to 156.83.1.222156.83.1.22330
16156.83.1.224/27156.83.1.225 to 156.83.1.254156.83.1.25530
17156.83.2.0/27156.83.2.1 to 156.83.2.30156.83.2.3130
18156.83.2.32/27156.83.2.33 to 156.83.2.62156.83.2.6330
19156.83.2.64/27156.83.2.65 to 156.83.2.94156.83.2.9530
20156.83.2.96/27156.83.2.97 to 156.83.2.126156.83.2.12730
21156.83.2.128/27156.83.2.129 to 156.83.2.158156.83.2.15930
22156.83.2.160/27156.83.2.161 to 156.83.2.190156.83.2.19130
23156.83.2.192/27156.83.2.193 to 156.83.2.222156.83.2.22330
24156.83.2.224/27156.83.2.225 to 156.83.2.254156.83.2.25530
25156.83.3.0/27156.83.3.1 to 156.83.3.30156.83.3.3130
26156.83.3.32/27156.83.3.33 to 156.83.3.62156.83.3.6330
27156.83.3.64/27156.83.3.65 to 156.83.3.94156.83.3.9530
28156.83.3.96/27156.83.3.97 to 156.83.3.126156.83.3.12730
29156.83.3.128/27156.83.3.129 to 156.83.3.158156.83.3.15930
30156.83.3.160/27156.83.3.161 to 156.83.3.190156.83.3.19130
31156.83.3.192/27156.83.3.193 to 156.83.3.222156.83.3.22330
32156.83.3.224/27156.83.3.225 to 156.83.3.254156.83.3.25530
33156.83.4.0/27156.83.4.1 to 156.83.4.30156.83.4.3130
34156.83.4.32/27156.83.4.33 to 156.83.4.62156.83.4.6330
35156.83.4.64/27156.83.4.65 to 156.83.4.94156.83.4.9530
36156.83.4.96/27156.83.4.97 to 156.83.4.126156.83.4.12730
37156.83.4.128/27156.83.4.129 to 156.83.4.158156.83.4.15930
38156.83.4.160/27156.83.4.161 to 156.83.4.190156.83.4.19130
39156.83.4.192/27156.83.4.193 to 156.83.4.222156.83.4.22330
40156.83.4.224/27156.83.4.225 to 156.83.4.254156.83.4.25530
41156.83.5.0/27156.83.5.1 to 156.83.5.30156.83.5.3130
42156.83.5.32/27156.83.5.33 to 156.83.5.62156.83.5.6330
43156.83.5.64/27156.83.5.65 to 156.83.5.94156.83.5.9530
44156.83.5.96/27156.83.5.97 to 156.83.5.126156.83.5.12730
45156.83.5.128/27156.83.5.129 to 156.83.5.158156.83.5.15930
46156.83.5.160/27156.83.5.161 to 156.83.5.190156.83.5.19130
47156.83.5.192/27156.83.5.193 to 156.83.5.222156.83.5.22330
48156.83.5.224/27156.83.5.225 to 156.83.5.254156.83.5.25530
49156.83.6.0/27156.83.6.1 to 156.83.6.30156.83.6.3130
50156.83.6.32/27156.83.6.33 to 156.83.6.62156.83.6.6330
51156.83.6.64/27156.83.6.65 to 156.83.6.94156.83.6.9530
52156.83.6.96/27156.83.6.97 to 156.83.6.126156.83.6.12730
53156.83.6.128/27156.83.6.129 to 156.83.6.158156.83.6.15930
54156.83.6.160/27156.83.6.161 to 156.83.6.190156.83.6.19130
55156.83.6.192/27156.83.6.193 to 156.83.6.222156.83.6.22330
56156.83.6.224/27156.83.6.225 to 156.83.6.254156.83.6.25530
57156.83.7.0/27156.83.7.1 to 156.83.7.30156.83.7.3130
58156.83.7.32/27156.83.7.33 to 156.83.7.62156.83.7.6330
59156.83.7.64/27156.83.7.65 to 156.83.7.94156.83.7.9530
60156.83.7.96/27156.83.7.97 to 156.83.7.126156.83.7.12730
61156.83.7.128/27156.83.7.129 to 156.83.7.158156.83.7.15930
62156.83.7.160/27156.83.7.161 to 156.83.7.190156.83.7.19130
63156.83.7.192/27156.83.7.193 to 156.83.7.222156.83.7.22330
64156.83.7.224/27156.83.7.225 to 156.83.7.254156.83.7.25530
65156.83.8.0/27156.83.8.1 to 156.83.8.30156.83.8.3130
66156.83.8.32/27156.83.8.33 to 156.83.8.62156.83.8.6330
67156.83.8.64/27156.83.8.65 to 156.83.8.94156.83.8.9530
68156.83.8.96/27156.83.8.97 to 156.83.8.126156.83.8.12730
69156.83.8.128/27156.83.8.129 to 156.83.8.158156.83.8.15930
70156.83.8.160/27156.83.8.161 to 156.83.8.190156.83.8.19130
71156.83.8.192/27156.83.8.193 to 156.83.8.222156.83.8.22330
72156.83.8.224/27156.83.8.225 to 156.83.8.254156.83.8.25530
73156.83.9.0/27156.83.9.1 to 156.83.9.30156.83.9.3130
74156.83.9.32/27156.83.9.33 to 156.83.9.62156.83.9.6330
75156.83.9.64/27156.83.9.65 to 156.83.9.94156.83.9.9530
76156.83.9.96/27156.83.9.97 to 156.83.9.126156.83.9.12730
77156.83.9.128/27156.83.9.129 to 156.83.9.158156.83.9.15930
78156.83.9.160/27156.83.9.161 to 156.83.9.190156.83.9.19130
79156.83.9.192/27156.83.9.193 to 156.83.9.222156.83.9.22330
80156.83.9.224/27156.83.9.225 to 156.83.9.254156.83.9.25530
81156.83.10.0/27156.83.10.1 to 156.83.10.30156.83.10.3130
82156.83.10.32/27156.83.10.33 to 156.83.10.62156.83.10.6330
83156.83.10.64/27156.83.10.65 to 156.83.10.94156.83.10.9530
84156.83.10.96/27156.83.10.97 to 156.83.10.126156.83.10.12730
85156.83.10.128/27156.83.10.129 to 156.83.10.158156.83.10.15930
86156.83.10.160/27156.83.10.161 to 156.83.10.190156.83.10.19130
87156.83.10.192/27156.83.10.193 to 156.83.10.222156.83.10.22330
88156.83.10.224/27156.83.10.225 to 156.83.10.254156.83.10.25530
89156.83.11.0/27156.83.11.1 to 156.83.11.30156.83.11.3130
90156.83.11.32/27156.83.11.33 to 156.83.11.62156.83.11.6330
91156.83.11.64/27156.83.11.65 to 156.83.11.94156.83.11.9530
92156.83.11.96/27156.83.11.97 to 156.83.11.126156.83.11.12730
93156.83.11.128/27156.83.11.129 to 156.83.11.158156.83.11.15930
94156.83.11.160/27156.83.11.161 to 156.83.11.190156.83.11.19130
95156.83.11.192/27156.83.11.193 to 156.83.11.222156.83.11.22330
96156.83.11.224/27156.83.11.225 to 156.83.11.254156.83.11.25530
97156.83.12.0/27156.83.12.1 to 156.83.12.30156.83.12.3130
98156.83.12.32/27156.83.12.33 to 156.83.12.62156.83.12.6330
99156.83.12.64/27156.83.12.65 to 156.83.12.94156.83.12.9530
100156.83.12.96/27156.83.12.97 to 156.83.12.126156.83.12.12730
101156.83.12.128/27156.83.12.129 to 156.83.12.158156.83.12.15930
102156.83.12.160/27156.83.12.161 to 156.83.12.190156.83.12.19130
103156.83.12.192/27156.83.12.193 to 156.83.12.222156.83.12.22330
104156.83.12.224/27156.83.12.225 to 156.83.12.254156.83.12.25530
105156.83.13.0/27156.83.13.1 to 156.83.13.30156.83.13.3130
106156.83.13.32/27156.83.13.33 to 156.83.13.62156.83.13.6330
107156.83.13.64/27156.83.13.65 to 156.83.13.94156.83.13.9530
108156.83.13.96/27156.83.13.97 to 156.83.13.126156.83.13.12730
109156.83.13.128/27156.83.13.129 to 156.83.13.158156.83.13.15930
110156.83.13.160/27156.83.13.161 to 156.83.13.190156.83.13.19130
111156.83.13.192/27156.83.13.193 to 156.83.13.222156.83.13.22330
112156.83.13.224/27156.83.13.225 to 156.83.13.254156.83.13.25530
113156.83.14.0/27156.83.14.1 to 156.83.14.30156.83.14.3130
114156.83.14.32/27156.83.14.33 to 156.83.14.62156.83.14.6330
115156.83.14.64/27156.83.14.65 to 156.83.14.94156.83.14.9530
116156.83.14.96/27156.83.14.97 to 156.83.14.126156.83.14.12730
117156.83.14.128/27156.83.14.129 to 156.83.14.158156.83.14.15930
118156.83.14.160/27156.83.14.161 to 156.83.14.190156.83.14.19130
119156.83.14.192/27156.83.14.193 to 156.83.14.222156.83.14.22330
120156.83.14.224/27156.83.14.225 to 156.83.14.254156.83.14.25530
121156.83.15.0/27156.83.15.1 to 156.83.15.30156.83.15.3130
122156.83.15.32/27156.83.15.33 to 156.83.15.62156.83.15.6330
123156.83.15.64/27156.83.15.65 to 156.83.15.94156.83.15.9530
124156.83.15.96/27156.83.15.97 to 156.83.15.126156.83.15.12730
125156.83.15.128/27156.83.15.129 to 156.83.15.158156.83.15.15930
126156.83.15.160/27156.83.15.161 to 156.83.15.190156.83.15.19130
127156.83.15.192/27156.83.15.193 to 156.83.15.222156.83.15.22330
128156.83.15.224/27156.83.15.225 to 156.83.15.254156.83.15.25530
129156.83.16.0/27156.83.16.1 to 156.83.16.30156.83.16.3130
130156.83.16.32/27156.83.16.33 to 156.83.16.62156.83.16.6330
131156.83.16.64/27156.83.16.65 to 156.83.16.94156.83.16.9530
132156.83.16.96/27156.83.16.97 to 156.83.16.126156.83.16.12730
133156.83.16.128/27156.83.16.129 to 156.83.16.158156.83.16.15930
134156.83.16.160/27156.83.16.161 to 156.83.16.190156.83.16.19130
135156.83.16.192/27156.83.16.193 to 156.83.16.222156.83.16.22330
136156.83.16.224/27156.83.16.225 to 156.83.16.254156.83.16.25530
137156.83.17.0/27156.83.17.1 to 156.83.17.30156.83.17.3130
138156.83.17.32/27156.83.17.33 to 156.83.17.62156.83.17.6330
139156.83.17.64/27156.83.17.65 to 156.83.17.94156.83.17.9530
140156.83.17.96/27156.83.17.97 to 156.83.17.126156.83.17.12730
141156.83.17.128/27156.83.17.129 to 156.83.17.158156.83.17.15930
142156.83.17.160/27156.83.17.161 to 156.83.17.190156.83.17.19130
143156.83.17.192/27156.83.17.193 to 156.83.17.222156.83.17.22330
144156.83.17.224/27156.83.17.225 to 156.83.17.254156.83.17.25530
145156.83.18.0/27156.83.18.1 to 156.83.18.30156.83.18.3130
146156.83.18.32/27156.83.18.33 to 156.83.18.62156.83.18.6330
147156.83.18.64/27156.83.18.65 to 156.83.18.94156.83.18.9530
148156.83.18.96/27156.83.18.97 to 156.83.18.126156.83.18.12730
149156.83.18.128/27156.83.18.129 to 156.83.18.158156.83.18.15930
150156.83.18.160/27156.83.18.161 to 156.83.18.190156.83.18.19130
151156.83.18.192/27156.83.18.193 to 156.83.18.222156.83.18.22330
152156.83.18.224/27156.83.18.225 to 156.83.18.254156.83.18.25530
153156.83.19.0/27156.83.19.1 to 156.83.19.30156.83.19.3130
154156.83.19.32/27156.83.19.33 to 156.83.19.62156.83.19.6330
155156.83.19.64/27156.83.19.65 to 156.83.19.94156.83.19.9530
156156.83.19.96/27156.83.19.97 to 156.83.19.126156.83.19.12730
157156.83.19.128/27156.83.19.129 to 156.83.19.158156.83.19.15930
158156.83.19.160/27156.83.19.161 to 156.83.19.190156.83.19.19130
159156.83.19.192/27156.83.19.193 to 156.83.19.222156.83.19.22330
160156.83.19.224/27156.83.19.225 to 156.83.19.254156.83.19.25530
161156.83.20.0/27156.83.20.1 to 156.83.20.30156.83.20.3130
162156.83.20.32/27156.83.20.33 to 156.83.20.62156.83.20.6330
163156.83.20.64/27156.83.20.65 to 156.83.20.94156.83.20.9530
164156.83.20.96/27156.83.20.97 to 156.83.20.126156.83.20.12730
165156.83.20.128/27156.83.20.129 to 156.83.20.158156.83.20.15930
166156.83.20.160/27156.83.20.161 to 156.83.20.190156.83.20.19130
167156.83.20.192/27156.83.20.193 to 156.83.20.222156.83.20.22330
168156.83.20.224/27156.83.20.225 to 156.83.20.254156.83.20.25530
169156.83.21.0/27156.83.21.1 to 156.83.21.30156.83.21.3130
170156.83.21.32/27156.83.21.33 to 156.83.21.62156.83.21.6330
171156.83.21.64/27156.83.21.65 to 156.83.21.94156.83.21.9530
172156.83.21.96/27156.83.21.97 to 156.83.21.126156.83.21.12730
173156.83.21.128/27156.83.21.129 to 156.83.21.158156.83.21.15930
174156.83.21.160/27156.83.21.161 to 156.83.21.190156.83.21.19130
175156.83.21.192/27156.83.21.193 to 156.83.21.222156.83.21.22330
176156.83.21.224/27156.83.21.225 to 156.83.21.254156.83.21.25530
177156.83.22.0/27156.83.22.1 to 156.83.22.30156.83.22.3130
178156.83.22.32/27156.83.22.33 to 156.83.22.62156.83.22.6330
179156.83.22.64/27156.83.22.65 to 156.83.22.94156.83.22.9530
180156.83.22.96/27156.83.22.97 to 156.83.22.126156.83.22.12730
181156.83.22.128/27156.83.22.129 to 156.83.22.158156.83.22.15930
182156.83.22.160/27156.83.22.161 to 156.83.22.190156.83.22.19130
183156.83.22.192/27156.83.22.193 to 156.83.22.222156.83.22.22330
184156.83.22.224/27156.83.22.225 to 156.83.22.254156.83.22.25530
185156.83.23.0/27156.83.23.1 to 156.83.23.30156.83.23.3130
186156.83.23.32/27156.83.23.33 to 156.83.23.62156.83.23.6330
187156.83.23.64/27156.83.23.65 to 156.83.23.94156.83.23.9530
188156.83.23.96/27156.83.23.97 to 156.83.23.126156.83.23.12730
189156.83.23.128/27156.83.23.129 to 156.83.23.158156.83.23.15930
190156.83.23.160/27156.83.23.161 to 156.83.23.190156.83.23.19130
191156.83.23.192/27156.83.23.193 to 156.83.23.222156.83.23.22330
192156.83.23.224/27156.83.23.225 to 156.83.23.254156.83.23.25530
193156.83.24.0/27156.83.24.1 to 156.83.24.30156.83.24.3130
194156.83.24.32/27156.83.24.33 to 156.83.24.62156.83.24.6330
195156.83.24.64/27156.83.24.65 to 156.83.24.94156.83.24.9530
196156.83.24.96/27156.83.24.97 to 156.83.24.126156.83.24.12730
197156.83.24.128/27156.83.24.129 to 156.83.24.158156.83.24.15930
198156.83.24.160/27156.83.24.161 to 156.83.24.190156.83.24.19130
199156.83.24.192/27156.83.24.193 to 156.83.24.222156.83.24.22330
200156.83.24.224/27156.83.24.225 to 156.83.24.254156.83.24.25530
201156.83.25.0/27156.83.25.1 to 156.83.25.30156.83.25.3130
202156.83.25.32/27156.83.25.33 to 156.83.25.62156.83.25.6330
203156.83.25.64/27156.83.25.65 to 156.83.25.94156.83.25.9530
204156.83.25.96/27156.83.25.97 to 156.83.25.126156.83.25.12730
205156.83.25.128/27156.83.25.129 to 156.83.25.158156.83.25.15930
206156.83.25.160/27156.83.25.161 to 156.83.25.190156.83.25.19130
207156.83.25.192/27156.83.25.193 to 156.83.25.222156.83.25.22330
208156.83.25.224/27156.83.25.225 to 156.83.25.254156.83.25.25530
209156.83.26.0/27156.83.26.1 to 156.83.26.30156.83.26.3130
210156.83.26.32/27156.83.26.33 to 156.83.26.62156.83.26.6330
211156.83.26.64/27156.83.26.65 to 156.83.26.94156.83.26.9530
212156.83.26.96/27156.83.26.97 to 156.83.26.126156.83.26.12730
213156.83.26.128/27156.83.26.129 to 156.83.26.158156.83.26.15930
214156.83.26.160/27156.83.26.161 to 156.83.26.190156.83.26.19130
215156.83.26.192/27156.83.26.193 to 156.83.26.222156.83.26.22330
216156.83.26.224/27156.83.26.225 to 156.83.26.254156.83.26.25530
217156.83.27.0/27156.83.27.1 to 156.83.27.30156.83.27.3130
218156.83.27.32/27156.83.27.33 to 156.83.27.62156.83.27.6330
219156.83.27.64/27156.83.27.65 to 156.83.27.94156.83.27.9530
220156.83.27.96/27156.83.27.97 to 156.83.27.126156.83.27.12730
221156.83.27.128/27156.83.27.129 to 156.83.27.158156.83.27.15930
222156.83.27.160/27156.83.27.161 to 156.83.27.190156.83.27.19130
223156.83.27.192/27156.83.27.193 to 156.83.27.222156.83.27.22330
224156.83.27.224/27156.83.27.225 to 156.83.27.254156.83.27.25530
225156.83.28.0/27156.83.28.1 to 156.83.28.30156.83.28.3130
226156.83.28.32/27156.83.28.33 to 156.83.28.62156.83.28.6330
227156.83.28.64/27156.83.28.65 to 156.83.28.94156.83.28.9530
228156.83.28.96/27156.83.28.97 to 156.83.28.126156.83.28.12730
229156.83.28.128/27156.83.28.129 to 156.83.28.158156.83.28.15930
230156.83.28.160/27156.83.28.161 to 156.83.28.190156.83.28.19130
231156.83.28.192/27156.83.28.193 to 156.83.28.222156.83.28.22330
232156.83.28.224/27156.83.28.225 to 156.83.28.254156.83.28.25530
233156.83.29.0/27156.83.29.1 to 156.83.29.30156.83.29.3130
234156.83.29.32/27156.83.29.33 to 156.83.29.62156.83.29.6330
235156.83.29.64/27156.83.29.65 to 156.83.29.94156.83.29.9530
236156.83.29.96/27156.83.29.97 to 156.83.29.126156.83.29.12730
237156.83.29.128/27156.83.29.129 to 156.83.29.158156.83.29.15930
238156.83.29.160/27156.83.29.161 to 156.83.29.190156.83.29.19130
239156.83.29.192/27156.83.29.193 to 156.83.29.222156.83.29.22330
240156.83.29.224/27156.83.29.225 to 156.83.29.254156.83.29.25530
241156.83.30.0/27156.83.30.1 to 156.83.30.30156.83.30.3130
242156.83.30.32/27156.83.30.33 to 156.83.30.62156.83.30.6330
243156.83.30.64/27156.83.30.65 to 156.83.30.94156.83.30.9530
244156.83.30.96/27156.83.30.97 to 156.83.30.126156.83.30.12730
245156.83.30.128/27156.83.30.129 to 156.83.30.158156.83.30.15930
246156.83.30.160/27156.83.30.161 to 156.83.30.190156.83.30.19130
247156.83.30.192/27156.83.30.193 to 156.83.30.222156.83.30.22330
248156.83.30.224/27156.83.30.225 to 156.83.30.254156.83.30.25530
249156.83.31.0/27156.83.31.1 to 156.83.31.30156.83.31.3130
250156.83.31.32/27156.83.31.33 to 156.83.31.62156.83.31.6330
251156.83.31.64/27156.83.31.65 to 156.83.31.94156.83.31.9530
252156.83.31.96/27156.83.31.97 to 156.83.31.126156.83.31.12730
253156.83.31.128/27156.83.31.129 to 156.83.31.158156.83.31.15930
254156.83.31.160/27156.83.31.161 to 156.83.31.190156.83.31.19130
255156.83.31.192/27156.83.31.193 to 156.83.31.222156.83.31.22330
256156.83.31.224/27156.83.31.225 to 156.83.31.254156.83.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses